Reddit · 内容详情

版块信息

传入版块名或链接,每个版块返回一条记录,含简介、成员数、每周活跃度和创建日期。

POST/v1/reddit/subredditInfo

$0.003每条

1,000 条
≈ $3.00
每取一条最低
$0.00129

可用试用额度一次返回,没有 cursor

在控制台里试

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/reddit/subredditInfo" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"subreddits":["python"]}'

返回什么

这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-09
{
  "data": [
    {
      "type": "subreddit",
      "subredditId": "2qh0y",
      "name": "Python",
      "url": "https://www.reddit.com/r/Python/",
      "title": "Python",
      "description": "The largest Python community for Redd…",
      "sidebar": "####[The Python Discord](https://disc…",
      "subscribers": 1521855,
      "weeklyActiveUsers": 90686,
      "weeklyContributions": 641,
      "createdAt": "2008-01-25T03:14:39Z",
      "subredditType": "PUBLIC",
      "isNsfw": false,
      "isQuarantined": false,
      "language": "en",
      "iconUrl": "https://styles.redditmedia.com/t5_2qh…",
      "bannerUrl": "https://styles.redditmedia.com/t5_2qh…",
      "topics": [
        "Programming"
      ]
    }
  ],
  "cursor": null,
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.003000",
    "balance_usd": "9.875000",
    "items": 1
  }
}

字段 18

字段类型示例值
typestringsubreddit
subredditIdstring2qh0y
namestringPython
urlstringhttps://www.reddit.com/r/Python/
titlestringPython
descriptionstringThe largest Python community for Reddit! Stay up to date wit…
sidebarstring####[The Python Discord](https://discord.gg/python) News ab…
subscribersnumber1521855
weeklyActiveUsersnumber90686
weeklyContributionsnumber641
createdAtstring2008-01-25T03:14:39Z
subredditTypestringPUBLIC
isNsfwbooleanfalse
isQuarantinedbooleanfalse
languagestringen
iconUrlstringhttps://styles.redditmedia.com/t5_2qh0y/styles/communityIcon…
bannerUrlstringhttps://styles.redditmedia.com/t5_2qh0y/styles/bannerBackgro…
topicsarray["Programming"]

参数 2

参数名类型必填说明示例
limitinteger否返回的记录条数,1 到 100。单次请求返回的条数不会超过这个数。5
subredditsarray是版块名(python)、r/python 或版块链接。["python"]

翻页

这个接口一次请求就返回全部:要更多条就把 limit 调大(最多 100)。cursor 一直是 null。

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口每条单独取,每取一条的最低收费是 $0.00129。

  • 1 条:最多 $0.003
  • 20 条:最多 $0.06
  • 100 条:最多 $0.30

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「版块信息」要传哪些参数?

必填:subreddits。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 1 条,要 100 条时一次请求取 100 页。

能接着往后取吗?

不能。这个接口一次请求就把结果全部返回,回答里的 cursor 是 null。

怎么收费?

每条 记录 $0.003。每页最低收费 $0.00129:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.30。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。